org.apache.ode.bpel.o

## Class OProcess

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OProcess

- All Implemented Interfaces:
    java.io.Serializable

      public class OProcess
      extends OBase

  Compiled BPEL process representation.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OProcess.OProperty`
    `static class` | `OProcess.OPropertyAlias`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<OPartnerLink>` | `allPartnerLinks` All partner links in the process.
    `java.util.Date` | `compileDate` Date process was compiled.
    `OConstants` | `constants` Various constants that are needed at runtime.
    `java.util.HashMap<javax.xml.namespace.QName,OElementVarType>` | `elementTypes`
    `java.util.HashSet<OExpressionLanguage>` | `expressionLanguages`
    `java.lang.String` | `guid`
    `static int` | `instanceCount`
    `java.util.HashMap<javax.xml.namespace.QName,OMessageVarType>` | `messageTypes`
    `OScope` | `procesScope` ProcessImpl-level scope.
    `java.lang.String` | `processName` Name of the process.
    `java.util.List<OProcess.OProperty>` | `properties`
    `java.lang.String` | `targetNamespace` Namespace of the process.
    `java.lang.String` | `uuid` Universally Unique Identifier
    `java.lang.String` | `version` BPEL version.
    `java.util.HashMap<javax.xml.namespace.QName,OXsdTypeVarType>` | `xsdTypes`
    `java.util.HashMap<java.net.URI,OXslSheet>` | `xslSheets`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OProcess(java.lang.String bpelVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dehydrate()`
    `java.lang.String` | `digest()`
    `protected void` | `finalize()`
    `java.util.Set<OPartnerLink>` | `getAllPartnerLinks()`
    `OBase` | `getChild(int id)`
    `java.util.List<OBase>` | `getChildren()`
    `java.util.List<java.lang.String>` | `getCorrelators()`
    `java.util.Collection` | `getExpressionLanguages()`
    `java.lang.String` | `getName()`
    `OPartnerLink` | `getPartnerLink(java.lang.String name)`
    `javax.xml.namespace.QName` | `getQName()`
    `OScope` | `getScope(java.lang.String scopeName)`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `equals, getId, getOwner, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### instanceCount

          public static int instanceCount

    - #### guid

          public java.lang.String guid

    - #### version

          public final java.lang.String version

      BPEL version.

    - #### constants

          public OConstants constants

      Various constants that are needed at runtime.

    - #### uuid

          public java.lang.String uuid

      Universally Unique Identifier

    - #### targetNamespace

          public java.lang.String targetNamespace

      Namespace of the process.

    - #### processName

          public java.lang.String processName

      Name of the process.

    - #### procesScope

          public OScope procesScope

      ProcessImpl-level scope.

    - #### allPartnerLinks

          public final java.util.Set<OPartnerLink> allPartnerLinks

      All partner links in the process.

    - #### properties

          public final java.util.List<OProcess.OProperty> properties

    - #### compileDate

          public java.util.Date compileDate

      Date process was compiled.

    - #### expressionLanguages

          public final java.util.HashSet<OExpressionLanguage> expressionLanguages

    - #### messageTypes

          public final java.util.HashMap<javax.xml.namespace.QName,OMessageVarType> messageTypes

    - #### elementTypes

          public final java.util.HashMap<javax.xml.namespace.QName,OElementVarType> elementTypes

    - #### xsdTypes

          public final java.util.HashMap<javax.xml.namespace.QName,OXsdTypeVarType> xsdTypes

    - #### xslSheets

          public final java.util.HashMap<java.net.URI,OXslSheet> xslSheets

  - ### Constructor Detail

    - #### OProcess

          public OProcess(java.lang.String bpelVersion)

  - ### Method Detail

    - #### getChild

          public OBase getChild(int id)

    - #### getChildren

          public java.util.List<OBase> getChildren()

    - #### getScope

          public OScope getScope(java.lang.String scopeName)

    - #### getAllPartnerLinks

          public java.util.Set<OPartnerLink> getAllPartnerLinks()

    - #### getPartnerLink

          public OPartnerLink getPartnerLink(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### getExpressionLanguages

          public java.util.Collection getExpressionLanguages()

    - #### getCorrelators

          public java.util.List<java.lang.String> getCorrelators()

    - #### getQName

          public javax.xml.namespace.QName getQName()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### dehydrate

          public void dehydrate()

      Overrides:
        `dehydrate` in class `OBase`

    - #### digest

          public java.lang.String digest()

      Overrides:
        `digest` in class `OBase`